Bug 971176 - oo-accept-node doesn't catch when the .cartridge_repository is out of date
oo-accept-node doesn't catch when the .cartridge_repository is out of date
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 17:50 EDT by Thomas Wiest
Modified: 2015-05-14 19:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:51:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2013-06-05 17:50:34 EDT
Description of problem:
We ran into an issue today in PROD where:
/var/lib/openshift/.cartridge_repository

didn't contain the latest cartridge information.

To fix it, we simply ran this:
oo-admin-cartridge -R -a install -s /usr/libexec/openshift/cartridges/v2/

Dan McPherson asked me to file a bug for this against oo-accept-node.


Version-Release number of selected component (if applicable):
openshift-origin-node-util-1.9.9-1.el6oso.noarch


How reproducible:
unknown

Steps to Reproduce:
1. unknown, found in PROD


Actual results:
oo-accept-node didn't find the discrepancy. 


Expected results:
oo-accept-node should find the discrepancy.
Comment 1 Rob Millner 2013-06-17 23:28:09 EDT
Pull request:
https://github.com/openshift/origin-server/pull/2874

Also added tests for whether the manifest can validate.
Comment 2 openshift-github-bot 2013-06-18 00:35:02 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/115a0649cd6f82684498b2b6f52c13a98972da43
Bug 971176 - Catch cartridge repository issues.
Comment 3 Meng Bo 2013-06-18 04:05:50 EDT
[root@ip-10-151-124-228 metadata]# oo-accept-node 
FAIL: failed to parse manifest file: /usr/libexec/openshift/cartridges/v2/mock/metadata/manifest.yml
1 ERRORS

[root@ip-10-151-124-228 metadata]# oo-accept-node 
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/mock/metadata/manifest.yml
1 ERRORS


Checked on devenv_3376, the inconsistent manifest file will be reported by oo-accept-node.

Note You need to log in before you can comment on or make changes to this bug.